/*
 * main.c
 *
 *  Created on: 29.08.2016
 *      Author: wn
 */

#include <msp430g2553.h>
#include <stdint.h>
#include <intrinsics.h>
#include <stdlib.h>
#include <stdbool.h>

#include "time.h"
#include "PontCoopScheduler.h"
#include "inverterCtrl.h"




int main() {
  WDTCTL = WDTPW | WDTHOLD;

  __disable_interrupt();

  // highest possible system clock
  DCOCTL = DCO0 | DCO1 | DCO2;
  BCSCTL1 = XT2OFF | RSEL0 | RSEL1 | RSEL2 | RSEL3;
  BCSCTL2 = DIVS_1;
  BCSCTL3 = 0;


  timeInit();
  schInit();
  inverterCtrlInit();

  // schAdd(displayExec, NULL, 0, DISPLAY_CYCLE);


  __enable_interrupt();

  inverterCtrlSetFrequency(50);


  while (1) {
    schExec();
  }
}



